org.codehaus.groovy.classgen.asm

## Class BytecodeDumper

- java.lang.Object
- - org.codehaus.groovy.classgen.asm.BytecodeDumper

- All Implemented Interfaces:
    BytecodeProcessor

      public class BytecodeDumper
      extends java.lang.Object
      implements BytecodeProcessor

  An utility class which can be used in test cases to dump generated bytecode.
  Since:
    2.4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BytecodeDumper` | `STANDARD_ERR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BytecodeDumper(java.io.Writer out)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `processBytecode(java.lang.String name, byte[] original)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STANDARD_ERR

          public static final BytecodeDumper STANDARD_ERR

  - ### Constructor Detail

    - #### BytecodeDumper

          public BytecodeDumper(java.io.Writer out)

  - ### Method Detail

    - #### processBytecode

          public byte[] processBytecode(java.lang.String name,
                                        byte[] original)

      Specified by:
        `processBytecode` in interface `BytecodeProcessor`